List goal contributions
curl -X GET "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/contributions?cursor=example_string&page_size=25" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/contributions?cursor=example_string&page_size=25"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/contributions?cursor=example_string&page_size=25", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/contributions?cursor=example_string&page_size=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/contributions?cursor=example_string&page_size=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"goal_id": "123e4567-e89b-12d3-a456-426614174000",
"budget_item_id": "123e4567-e89b-12d3-a456-426614174000",
"amount": "example_string",
"currency": "example_string",
"period_start": "2024-12-25",
"source": "example_string",
"note": "example_string",
"detected_at": "2024-12-25T10:00:00Z"
}
],
"pagination": {
"next_cursor": "example_string",
"has_more": true
},
"redacted_fields": [
"example_string"
],
"filtered": true
}
{}
/v1/goals/{id}/contributionsTarget server for requests. Edit to use your own host.
An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
An opaque ff_ credential presented in the X-API-Key header.
The resource UUID.
Opaque cursor from a previous response's pagination.next_cursor.
Maximum number of items to return.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key for authentication. An opaque ff_ credential presented in the X-API-Key header.
Path Parameters
The resource UUID.
Query Parameters
Opaque cursor from a previous response's pagination.next_cursor.
Maximum number of items to return.
Responses
Cursor pagination state, present on list endpoints.
Field ids stripped from the payload by connection scope.
True when row or aggregate filtering is in effect for this response.